Subject: Re: ANSI T1.231 ?

From: Ken Chapman <[email-masked]>
Date: Wed, 10 Jun 1998 08:19:02 -0400

At 12:29 PM 6/9/98 -0700, C. M. Heard/VVNET, Inc. wrote:

>On Tue, 9 Jun 1998, Ken Chapman wrote:

>> I need some help interpreting a statement in ANSI T1.231 

>> clause 9.1.5.2 (thresholding and alerting):

>> 'The "default" values themselves for each parameter, accumulation

>> period, and digital signal level shall also be settable on a per-NE

>> basis.'

>> What is meant by "digital signal level"?  DS1, DS3 and SONET?

>> Or is SONET broken down by OC-1, OC-3, ..., etc.?

>It means anything that for which you have one or more

>PerfCurrentCount objects -- DS1, DS3, Sonet STS-N

>Section/Line/Path signals, various kinds of Sonet

>VT Path signals (to the extent that they aren't already

>covered), and their far-end counterparts, where applicable.

>That's a lot of thresholds!

Mike,

I'm afraid I didn't make myself clear.  I KNOW there are a lot of 

threshold registers.  I'm trying to figure out how many DEFAULT

threshold registers there needs to be.  My question was in the

context to the particular sentance I quoted.

So, let me ask it another way.  If I have a box with a DS1 port, a DS2

port, an OC3 port and two (2) OC12 ports, I'll have five (5) separate 

threshold registers for the current SES errors (one for each port).

How many default threshold registers do I need for SES 15 minute interval

errors to satisfy ANS1 T1.231-1997 claues 9.1.5.2, paragragh 2?

a) two (one for DS1/DS2 and one of SONET)

b) four (one for DS1, one for DS2, one for OC3 and one for OC12)

c) some other set.

	Ken

==============================================

<color><param>0000,8080,0000</param>Ken Chapman               Argon
Networks, Inc.

[email-masked]        25 Porter Road

tel: 978-486-0665 x146    Littleton, MA  01460

fax: 978-486-9379         http://www.Argon.com

</color>==============================================

---

From: Ken Chapman <[email-masked]>
Date: Thu, 11 Jun 1998 09:28:58 -0400

At 02:32 PM 6/10/98 -0700, C. M. Heard/VVNET, Inc. wrote:
>On Wed, 10 Jun 1998, Ken Chapman wrote:
>[ ... ]
>Ken,
>I'm sorry, I'll try to make this reply a bit more helpful, if I can.
>
>If I understand what clause 9.1.5.2, paragragh 2 says, then
>
>c) some other set.  Exactly what this set is depends on how your
>box can subdivide SONET payloads.
>
>For the DS1 port, we have the following SES-related PerfCurrentCount
>objects:
>
>   - dsx1CurrentSESs
>   - dsx1FarEndCurrentSESs
>
>The thresholding requirements for DS1 are specified in clause 9.2.1.3
>and Table 19 of T1.231-1997. Thresholding is always required for the
>DS1 path near-end 15-minute SES counter;  and in applications
>where far-end parameters are required, thresholding is required for
>the far-end 15-minute SES counter also.  So the answer here is that
>up to two default threshold objects are needed for the DS1 stuff.
>
>T1.231 does not cover DS2, so the next part is a somewhat speculative
>extrapolation.  I invite the trunk-mib folks to jump in and correct
>this if they feel that this is wrong.  From a quick reading of
>draft-ietf-trunkmib-ds1-mib-08.txt it appears to me that the same
>two SES objects would apply.  However, a _different_ pair of defaults
>would be needed for DS2, since it is a _different_ digital signal
>level than DS1.  You would not, hoever, need a separate set of
>defaults to cover any DS1 subchannels, since you already have that
>set above.
>
>The thresholding requirements for SONET specified in clause 9.2.3.3
>of T1.231-1997 are that thresholding is required for all required
>parameters and for any application-specific and optional parameters
>which are implemented (in other words, for all PerfCurrentCount
>objects which exist).  The relevant set of SES objects therefore is
>
>   - sonetSectionCurrentSESs
>
>   - sonetLineCurrentSESs
>   - sonetFarEndLineCurrentSESs
>
>   - sonetPathCurrentSESs
>   - sonetFarEndPathCurrentSESs
>
>   - sonetVTCurrentSESs
>   - sonetFarEndVTCurrentSESs
>
>Life starts to get quite complicated here, so let me suppose that
>the SONET ports on your box are an OC3c and two OC12c's.  Then there
>are no VT objects and only one set of path objects per port.  So you
>need 5 default thresholds for the OC3 stuff and another 5 for the
>OC12 stuff (one set of OC12c _defaults_ will suffice for both ports),
>assuming that the far-end parameters are implemented.  Matters get
>more complex if the SONET payload could be split up; you would need
>a set of defaults for an STS-1 path, and for any VTs to the extent
>that they were distinct from stuff that was already there (such as
>the DS1's).
>
>Summary:  if you support far end parameters, you will need to have
>_at least_ 14 default thresholds for SES objects (2 for DS1, 2 for DS2,
>5 for OC3, and 5 for OC12).  If you support only near-end parameters
>then you need _at least_ 8 default thresholds (1 for DS1, 1 for DS2,
>3 for OC3, and 5 for OC12).  More will be needed if your SONET ports
>support non-concatenated payloads and/or VTs.
>

I'm sorry, but this sounds like you are talking about the THRESHOLD
registers and not the DEFAULT threshold registers.  If you REALLY mean
DEFAULT (per T1.231 9.1.5.2), then what you are saying is that there
is BOTH a THRESHOLD register AND a DEFAULT threshold for each of the things
you mentioned above.  I don't believe this is what was intended by
T1.231 9.1.5.2.
	Ken

---

From: Ken Chapman <[email-masked]>
Date: Thu, 11 Jun 1998 15:58:48 -0400

Ahhh!  I see the light.  
So...  "digital signal level" means signal *rate* AND *layer* AND
*direction*.  
Your right, that is a lot of defaults!  :^)
Thanks for being so patient.
	Ken

At 11:08 AM 6/11/98 -0700, C. M. Heard/VVNET, Inc. wrote:
>On Thu, 11 Jun 1998, Ken Chapman wrote:
>[...]
>>>[S]uppose that the SONET ports on your box are an OC3c and two OC12c's.
>>>
>>>[Then] if you support far end parameters, you will need to have
>T1.231 9.1.5.2 requires that the thresholds shall be settable on a
>_per-port_ basis by requesting a specific value or by requesting "default".
>
>Threshold values exist for each performance parameter, accumulation period,
>digital signal level, _and port_.
>
>Corresponding default values exist for each parameter, accumulation period,
>and digital signal level.  They apply NE-wide and are not replicated per
port.
>
>Thresholds and the defaults are indeed distinct.  Typically there will be
>more thresholds than defaults.
>
>For the example under discussion (15-minute near-end and far-end SES counts
>for a box with one DS1 port, one DS2 port, one OC3c port, and two OC12c
>ports) I get the following tally:
>
>   Parameter                  Number of Defaults   Number of Thresholds
>   ---------                  ------------------   --------------------
>
>   dsx1CurrentSESs             2 (DS1 & DS2)       2 (1 x DS1 & 1 x DS2)
>
>   dsx1FarEndCurrentSESs       2 (DS1 & DS2)       2 (1 x DS1 & 1 x DS2)
>
>   sonetSectionCurrentSESs     2 (OC3 & OC12)      3 (1 x OC3 & 2 x OC12)
>
>   sonetLineCurrentSESs        2 (OC3 & OC12)      3 (1 x OC3 & 2 x OC12)
>   sonetFarEndLineCurrentSESs  2 (OC3 & OC12)      3 (1 x OC3 & 2 x OC12)
>
>   sonetPathCurrentSESs        2 (STS3c & STS12c)  3 (1 x STS3c & 2 x STS12c)
>   sonetFarEndPathCurrentSESs  2 (STS3c & STS12c)  3 (1 x STS3c & 2 x STS12c)
>
>   Totals                      14                  19
>
>>
>>	Ken
>>
>
>Mike
>--
>C. M. Heard/VVNET, Inc.
>[email-masked]
>
>
>

---

From: Ken Chapman <[email-masked]>
Date: Thu, 11 Jun 1998 15:58:48 -0400

Ahhh!  I see the light.  

port.